name: rasadyar_core
description: "A new Flutter project."
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ^3.8.1

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  #utils
  device_info_plus: ^11.4.0

  ##image_picker
  image_picker: ^1.1.2


  #UI
  cupertino_icons: ^1.0.8
  flutter_slidable: ^4.0.0
  flutter_rating_bar: ^4.0.1

  ##Log
  logger: ^2.5.0

  ## reactive
  dartx: ^1.2.0
  rxdart: ^0.28.0

  ## local storage
  hive_ce: ^2.11.1
  hive_ce_flutter: ^2.3.0
  flutter_secure_storage: ^9.2.4



  #SVG
  flutter_svg: ^2.0.17
  font_awesome_flutter: ^10.8.0

  #Generator
  flutter_gen_runner: ^5.10.0

  ##state manger
  get: ^4.7.2

  ##Di
  get_it: ^8.0.3

  #other
  permission_handler: ^12.0.0+1
  persian_datetime_picker: ^3.1.0
  encrypt: ^5.0.3

  #L10N tools
  intl: ^0.20.2


  #Map
  flutter_map: ^8.1.1
  flutter_map_animations: ^0.9.0
  #location
  latlong2: ^0.9.1
  geolocator: ^14.0.0
  #network
  dio: ^5.8.0+1

  #networkLogger
  pretty_dio_logger: ^1.4.0

  ##code generation
  freezed_annotation: ^3.0.0
  json_annotation: ^4.9.0
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  ##code generation
  build_runner: ^2.4.15
  hive_ce_generator: ^1.9.1
  freezed: ^3.0.3
  json_serializable: ^6.9.4


  ##test
  mocktail: ^1.0.4
  get_test: ^4.0.1




flutter:
  uses-material-design: true


